Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
prompts
/
{id}
Retrieve stored prompt
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/prompts/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prompt": "<string>",
  "pipeline": "Sources",
  "country": "<string>",
  "attribute": "<string>",
  "intention": "Product Purchase"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

id
string<uuid>
required

A UUID string identifying this user generated content prompts.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

Details of the stored prompt.

id
string<uuid>
required
read-only
analysis_id
string<uuid>
required
prompt
string
required
Maximum string length: 1000
pipeline
enum<string>
required
  • Sources - Sources
  • Brand Awareness - Brand Awareness
Available options:
Sources,
Brand Awareness
country
string
Maximum string length: 255
attribute
string
Maximum string length: 255
intention
enum<string>
  • Product Purchase - Product Purchase
  • Information Request - Information Request
  • Media Retrieval - Media Retrieval
Available options:
Product Purchase,
Information Request,
Media Retrieval,